package xyz.wbsite.module.conf.req;

import xyz.wbsite.frame.base.BaseFindRequest;

/**
 * MappingRequest - 映射查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-03-18
 */
public class MappingFindRequest extends BaseFindRequest {

    /**
     * 名称
     */
    private String name;

    /**
     * 端口
     */
    private String port;

    /**
     * 路径
     */
    private String path;

    /**
     * 类型
     */
    private String type;

    /**
     * 代理地址
     */
    private String location;

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPort() {
        return this.port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getPath() {
        return this.path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLocation() {
        return this.location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
}
